package ex_nodecrud.controller
{
	import ex_nodecrud.model.NodesProxy;
	import ex_nodecrud.view.Application;
	import ex_nodecrud.view.ApplicationMediator;
	
	import org.puremvc.as3.interfaces.INotification;
	import org.puremvc.as3.patterns.command.SimpleCommand;

	public class StartupCmd extends SimpleCommand
	{
		override public function execute(note:INotification):void
		{
			facade.registerProxy(new NodesProxy());
			facade.registerMediator(new ApplicationMediator(note.getBody() as Application));
		}
	}
}
